org.bdgenomics.adam.metrics

# filters

#### package filters

Visibility

1. Public
2. All

### Type Members

1. #### class CombinedFilter [T] extends GeneratorFilter[Collection[Seq[T]]]

   CombinedFilter lifts a Sequence of GeneratorFilter[T] filters into a single GeneratorFilter (which filters a vector, here reified as a metrics.

2. #### abstract class ComparisonsFilter [+T] extends GeneratorFilter[T]

   A utility class, so we only have to extend the 'passesFilter' method in subclasses.

3. #### trait GeneratorFilter [+T] extends Serializable

   Used by FindReads, a GeneratorFilter is a predicate on values, which also wraps a particular BucketComparisons object (the thing that produces those values).

### Ungrouped